> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pragma.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Onchain Publishers



## OpenAPI

````yaml open-apis/node.json get /node/v1/onchain/publishers
openapi: 3.1.0
info:
  title: pragma-node
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://{environment}.pragma.build
    variables:
      environment:
        default: api.devnet
security: []
tags:
  - name: pragma-node
    description: Pragma Node API
paths:
  /node/v1/onchain/publishers:
    get:
      tags:
        - crate::handlers::onchain::get_publishers
      operationId: get_onchain_publishers
      parameters:
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/StarknetNetwork'
        - name: data_type
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/InstrumentType'
      responses:
        '200':
          description: Get the onchain publishers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOnchainPublishersResponse'
components:
  schemas:
    StarknetNetwork:
      type: string
      enum:
        - starknet-mainnet
        - starknet-sepolia
    InstrumentType:
      type: string
      enum:
        - Spot
        - Perp
    GetOnchainPublishersResponse:
      type: array
      items:
        $ref: '#/components/schemas/Publisher'
    Publisher:
      type: object
      required:
        - publisher
        - website_url
        - type
        - nb_feeds
        - daily_updates
        - total_updates
        - components
      properties:
        components:
          type: array
          items:
            $ref: '#/components/schemas/PublisherEntry'
        daily_updates:
          type: integer
          format: int32
          minimum: 0
        last_updated_timestamp:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        nb_feeds:
          type: integer
          format: int32
          minimum: 0
        publisher:
          type: string
        total_updates:
          type: integer
          format: int32
          minimum: 0
        type:
          type: integer
          format: int32
          minimum: 0
        website_url:
          type: string
    PublisherEntry:
      type: object
      required:
        - pair_id
        - last_updated_timestamp
        - price
        - source
        - decimals
        - daily_updates
      properties:
        daily_updates:
          type: integer
          format: int32
          minimum: 0
        decimals:
          type: integer
          format: int32
          minimum: 0
        last_updated_timestamp:
          type: integer
          format: int64
          minimum: 0
        pair_id:
          type: string
        price:
          type: string
        source:
          type: string

````